Package org.eclipse.draw2d

# Class FocusEvent

java.lang.Object
org.eclipse.draw2d.FocusEvent

public class FocusEvent extends Object
An event that occurs when an `IFigure` gains or loses focus.

## Field Summary

Fields
Modifier and Type
Field
Description
`IFigure`
`gainer`
The figure gaining focus
`IFigure`
`loser`
The figure losing focus

## Constructor Summary

Constructors
Constructor
Description
`FocusEvent(IFigure loser, IFigure gainer)`
Constructs a new FocusEvent.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### loser

public IFigure loser
The figure losing focus

### gainer

public IFigure gainer
The figure gaining focus

## Constructor Details

### FocusEvent

public FocusEvent(IFigure loser, IFigure gainer)
Constructs a new FocusEvent.

Parameters:
  `loser` - the figure losing focus
  `gainer` - the figure gaining focus